#!/bin/bash

set -ex

/usr/local/cuda/bin/nvcc -dc base.cu
/usr/local/cuda/bin/nvcc -dc intermediate1.cu
/usr/local/cuda/bin/nvcc -dc intermediate2.cu
/usr/local/cuda/bin/nvcc -dc lib.cu

/usr/local/cuda/bin/nvcc -dlink base.o -o base_dlink.o
/usr/local/cuda/bin/nvcc -dlink intermediate1.o -o intermediate1_dlink.o
/usr/local/cuda/bin/nvcc -dlink intermediate2.o -o intermediate2_dlink.o
/usr/local/cuda/bin/nvcc -dlink lib.o intermediate2.o intermediate1.o intermediate1_dlink.o base.o base_dlink.o -o lib_dlink.o
